<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>org.dromara</groupId>
        <artifactId>ruoyi-common</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>ruoyi-common-web</artifactId>
    <properties>
        <tw.starter.version>7.0.E.6_P7</tw.starter.version>
    </properties>
    <description>
        ruoyi-common-web web服务
    </description>

	<dependencies>

        <dependency>
            <groupId>org.dromara</groupId>
            <artifactId>ruoyi-common-core</artifactId>
        </dependency>

        <!-- SpringBoot Web容器 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <exclusions>
                <exclusion>
                    <artifactId>spring-boot-starter-tomcat</artifactId>
                    <groupId>org.springframework.boot</groupId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- web 容器使用 undertow 性能更强 -->
<!--        <dependency>-->
<!--            <groupId>org.springframework.boot</groupId>-->
<!--            <artifactId>spring-boot-starter-undertow</artifactId>-->
<!--        </dependency>-->

<!--        <dependency>-->
<!--            <groupId>io.undertow</groupId>-->
<!--            <artifactId>undertow-core</artifactId>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>io.undertow</groupId>-->
<!--            <artifactId>undertow-servlet</artifactId>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>io.undertow</groupId>-->
<!--            <artifactId>undertow-websockets-jsr</artifactId>-->
<!--        </dependency>-->
        <!-- web 容器使用 tongweb国产化适配 -->
        <dependency>
            <groupId>com.tongweb.springboot</groupId>
            <artifactId>tongweb-spring-boot-starter-3.x</artifactId>
            <version>${tw.starter.version}</version>
        </dependency>
        <dependency>
            <groupId>com.tongweb.springboot</groupId>
            <artifactId>tongweb-spring-boot-websocket-3.x</artifactId>
            <version>${tw.starter.version}</version>
        </dependency>
        <dependency>
            <groupId>com.tongweb</groupId>
            <artifactId>tongweb-lic-sdk</artifactId>
            <version>4.5.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.tongweb</groupId>
            <artifactId>tongweb-embed-core</artifactId>
            <version>${tw.starter.version}</version>
        </dependency>
        <dependency>
            <groupId>com.tongweb</groupId>
            <artifactId>tongweb-embed-websocket</artifactId>
            <version>${tw.starter.version}</version>
        </dependency>
        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
            <optional>true</optional>
        </dependency>

        <dependency>
            <groupId>net.dreamlu</groupId>
            <artifactId>mica-metrics</artifactId>
            <version>2.7.6</version>
            <exclusions>
                <exclusion>
                    <groupId>net.dreamlu</groupId>
                    <artifactId>mica-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>net.dreamlu</groupId>
            <artifactId>mica-core</artifactId>
            <version>2.7.6</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.dubbo</groupId>
            <artifactId>dubbo-rpc-api</artifactId>
            <version>3.2.14</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

</project>
